# Generated by Django 2.0.2 on 2018-02-10 17:29

import django.core.validators
from django.db import migrations, models


def forward(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Switch = apps.get_model("services", "Switch")
    for sw in Switch.objects.using(db_alias).all():
        sw.first_port = sw.ports.order_by('port').first().port
        sw.last_port = sw.ports.order_by('port').last().port
        sw.save()


def backward(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Switch = apps.get_model("services", "Switch")
    for sw in Switch.objects.using(db_alias).all():
        sw.size = sw.last_port - sw.first_port + 1
        sw.save()


class Migration(migrations.Migration):

    dependencies = [
        ('services', '0046_auto_20180210_1824'),
    ]

    operations = [
        migrations.AddField(
            model_name='switch',
            name='first_port',
            field=models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0)], verbose_name='Premier port'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='switch',
            name='last_port',
            field=models.IntegerField(default=64, validators=[django.core.validators.MaxValueValidator(64)], verbose_name='Dernier port'),
            preserve_default=False,
        ),
        migrations.RunPython(forward, backward),
        migrations.RemoveField(
            model_name='switch',
            name='size',
        ),
    ]
